Query Extension Voicemail Greeting List
Query the list of voicemail greetings for an extension.
Request URL
GET {base_url}/{api_path}/extension_vm_greeting/list?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| extension | Yes | String | The extension number. Note: You can query the extension number using Search Specific Extensions. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of voicemail greetings for the extension. |
| greeting_list | Array <Voicemail_Greeting> | The basic information of each voicemail greeting. |
Voicemail_Greeting
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the voicemail greeting. |
| module | String | The module to which the voicemail greeting belongs.
|
| number | String | The number of the extension to which the voicemail greeting belongs. |
| file | String | The filename of the voicemail greeting. |
| suffix | String | The file extension of the voicemail greeting.
|
| type | String | The type of the voicemail greeting.
|
| real_filename | String | The full filename (including the file extension) of the voicemail greeting. |
Examples
Request example
GET /openapi/v1.0/extension_vm_greeting/list?access_token=Av4ZxfcjqeHAWvNK9IeISDC6TnmiTpra&&extension=3200 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 3,
"greeting_list": [
{
"id": 20,
"module": "extension",
"number": "3200",
"file": "vm_end",
"suffix": ".wav",
"type": "tts",
"real_filename": "vm_welcome_001.wav"
},
{
"id": 19,
"module": "extension",
"number": "3200",
"file": "vm_welcome.wav",
"suffix": ".wav",
"type": "record",
"real_filename": "vm_welcome_002.wav"
},
{
"id": 17,
"module": "extension",
"number": "3200",
"file": "Artificial.wav",
"suffix": ".wav",
"type": "record",
"real_filename": "Artificial.wav"
}
]
}